## msr-tools 1.2

=== Makefile ===
## -----------------------------------------------------------------------
##   
##   Copyright 2000 Transmeta Corporation - All Rights Reserved
##
##   This program is free software; you can redistribute it and/or modify
##   it under the terms of the GNU General Public License as published by
##   the Free Software Foundation, Inc., 675 Mass Ave, Cambridge MA 02139,
##   USA; either version 2 of the License, or (at your option) any later
##   version; incorporated herein by reference.
##
## -----------------------------------------------------------------------

#
# Makefile for MSRs
#

CC       = gcc -Wall
CFLAGS   = -g -O2 -fomit-frame-pointer -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64
LDFLAGS  = 

BIN	= wrmsr rdmsr

sbindir = /usr/sbin

all: $(BIN)

clean:
	rm -f *.o $(BIN)

distclean: clean
	rm -f *~ \#*

install: all
	install -m 755 $(BIN) $(sbindir)

.o:
	$(CC) $(LDFLAGS) -o $@ $<

.c.o:
	$(CC) $(CFLAGS) -o $@ $<

.c:
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $<

## msr-tools 1.3

=== Makefile ===
--- 
+++ 
@@ -15,10 +15,10 @@
 #
 
 CC       = gcc -Wall
-CFLAGS   = -g -O2 -fomit-frame-pointer -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64
-LDFLAGS  = 
+CFLAGS   = -g -O2 -fomit-frame-pointer -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 $(shell dpkg-buildflags --get CFLAGS)
+LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)
 
-BIN	= wrmsr rdmsr
+BIN	= wrmsr rdmsr cpuid
 
 sbindir = /usr/sbin

=== debian/changelog ===
msr-tools (1.3-5build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:13:34 +0200

msr-tools (1.3-5) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format (closes: #1007325).

 -- Andres Salomon <dilinger@debian.org>  Sat, 09 Apr 2022 23:22:19 -0400

msr-tools (1.3-4) unstable; urgency=low

  * Bump standards-version and debhelper compat, & clean up lintian stuff.
  * Specify that root isn't required to build package.
  * Github changed their download url, so adjust debian/watch accordingly.
  * Enable additional bindnow hardening flags.

 -- Andres Salomon <dilinger@debian.org>  Sat, 04 Dec 2021 21:09:04 +0000

msr-tools (1.3-3) unstable; urgency=low

  * Merge fix to check that register is valid (closes: #790075).
  * Update package to catch up on 5 years of new debian policy,
    standards, debhelper, etc.
  * Add a watch file.

 -- Andres Salomon <dilinger@debian.org>  Sun, 02 Dec 2018 07:44:39 +0000

msr-tools (1.3-2) unstable; urgency=low

  * Remove cpuid program; there's already a separate cpuid package in
    Debian that is more fully-featured.  If there's a need to bring back
    the cpuid binary, let me know (closes: #726057).

 -- Andres Salomon <dilinger@debian.org>  Tue, 22 Oct 2013 08:25:00 +0000

msr-tools (1.3-1) unstable; urgency=low

  * New upstream release (closes: #725930).
  * Update the copyright file.
  * Update manpages for new args and new cpuid program.
  * Update standards-version, and add hardening flags to build.
  * Add a note to manpages about ensuring the correct kernel modules
    are loaded when running commands (closes: #721825).

 -- Andres Salomon <dilinger@debian.org>  Thu, 10 Oct 2013 23:39:23 +0000

msr-tools (1.2-3) unstable; urgency=low

  * Only build for i386 and amd64 (closes: #555542).

 -- Andres Salomon <dilinger@debian.org>  Mon, 23 Nov 2009 05:32:50 +0000

msr-tools (1.2-2) unstable; urgency=low

  * Don't allow the package to install anything into /usr/sbin
    (closes: #552958, #554583).
  * Bump the versioned build-dep on debhelper accordingly, as
    override_dh_auto_install is necessary.

 -- Andres Salomon <dilinger@debian.org>  Thu, 05 Nov 2009 18:11:18 +0000

msr-tools (1.2-1) unstable; urgency=low

  * New upstream release (for some value of "new").
  * Bump standards version.
  * Switch from cdbs to debhelper.  It was being too clever in overriding
    our CFLAGS, which resulted in 64bit stuff breaking (closes: #495445).
  * Update copyright info w/ hpa's mark.
  * Drop 001-pwrite_warnings.patch, as it turns out that it was only
    necessary due to the aforementioned CFLAGS clobberage.

 -- Andres Salomon <dilinger@debian.org>  Sun, 25 Oct 2009 14:51:24 +0000

msr-tools (1.1.2-1) unstable; urgency=low

  * Initial release.
  * Create manpages.

 -- Andres Salomon <dilinger@debian.org>  Fri, 07 Mar 2008 12:27:45 +0000

=== debian/control ===
Source: msr-tools
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andres Salomon <dilinger@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0.1
Homepage: https://github.com/01org/msr-tools
Rules-Requires-Root: no

Package: msr-tools
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utilities for modifying MSRs from userspace
 MSRs are Machine Specific Registers that are used to set values for
 hardware to use, or to pass values between the BIOS and kernel.  This
 package provides utilities to both read and write MSRs.  Reading and
 writing MSRs might be useful when debugging kernel drivers, for example.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_install:
	make install sbindir=debian/msr-tools/usr/sbin
	rm -f debian/msr-tools/usr/sbin/cpuid

## msr-tools 1.3+git20220805.7d78c80

=== debian/changelog ===
msr-tools (1.3+git20220805.7d78c80-1) unstable; urgency=medium

  * New upstream released, based on git snapshot (closes: #1031237).
  * Upstream switched from hardcoded Makefile to autotools; only change
    needed was the call to 'make install' in d/rules.
  * Properly remove cpuid (now called msr-cpuid).
  * Update standards-version. No changes needed.
  * d/patches:
    - register-parse.patch: refresh.
    - flags.patch: drop, no longer needed with automake.

 -- Andres Salomon <dilinger@debian.org>  Mon, 17 Mar 2025 02:20:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: msr-tools
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andres Salomon <dilinger@debian.org>
+Maintainer: Andres Salomon <dilinger@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/01org/msr-tools
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -8,5 +8,5 @@
 	dh $@
 
 override_dh_auto_install:
-	make install sbindir=debian/msr-tools/usr/sbin
-	rm -f debian/msr-tools/usr/sbin/cpuid
+	make install bindir=$(CURDIR)/debian/msr-tools/usr/sbin
+	rm -f $(CURDIR)/debian/msr-tools/usr/sbin/msr-cpuid

=== debian/watch ===
version=4
opts=dversionmangle=auto \
https://github.com/01org/msr-tools/tags .*/msr-tools-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
